require(['jquery'], function ($) {
    window.DATE_CACHE = [];

    $(document).ready(function(){

       $(document).on('click', 'tr.row[data-bind="click: element.selectShippingMethod"]', function(){
           if (parseInt(window.checkoutConfig.pinpoint_deliverydate.enabled) == 0) {
               return;
           }

           var shipping_method = $(this).find('input[type="radio"]').first().val();
           var $deliverySection = $('#checkout-step-shipping_method_estimation_date .delivery-date');

           if (typeof window.DATE_CACHE[shipping_method] == 'undefined') {
               $.ajax({
                   type: "POST",
                   url: '/deliverydates/estimation/checkdate',
                   data: {
                       shipping_method: shipping_method
                   },
                   showLoader: true,
                   success: function (data) {
                       window.DATE_CACHE[shipping_method] = data['estimation'];
                       $deliverySection.html(window.DATE_CACHE[shipping_method]);
                   }
               });
           } else {
               $deliverySection.html(window.DATE_CACHE[shipping_method]);
           }
       });

   });
});